# Dejan

**Dejan** is a growing collection of SEO-related machine learning utilities designed to assist with various tasks in the field of search engine optimization. This repository will be continuously updated with new tools and features aimed at helping SEO professionals streamline their workflows using advanced ML techniques.

### Current Utilities

1. **dirtree**:
   - **Purpose**: Generates an ASCII representation of the directory tree structure from any given root directory, including all subdirectories and files.
   - **Usage**: This tool can be particularly useful for visualizing file structures in complex projects, making it easier to manage and navigate large SEO datasets.

### Planned Features

- **Keyword Clustering**: Automated clustering of keywords based on semantic similarity using machine learning algorithms.
- **Content Optimization**: Tools to analyze and optimize content for SEO, including keyword density checks, readability scoring, and more.
- **Link Analysis**: Utilities to analyze internal and external links, helping to optimize site architecture and link distribution.

Stay tuned as more utilities are added to this package, transforming it into a powerful toolkit for any SEO professional working with machine learning.

### Installation

You can install the package using `pip`:

```bash
pip install dejan
